Bug 538336 - dasher crashes and doesn't work on 64-bit
Summary: dasher crashes and doesn't work on 64-bit
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: dasher
Version: 15
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-18 09:58 UTC by Need Real Name
Modified: 2013-03-06 03:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:29:43 UTC


Attachments (Terms of Use)

Description Need Real Name 2009-11-18 09:58:00 UTC
The man page for dasher says:

       The  main Dasher interface is a window with a blank background contain-
       ing a column of letters on the right hand side.  Click the mouse button
       to start.

When I load dasher and click the mouse button, nothing happens.

I do get some errors on the console:

$ dasher

(dasher:3849): GLib-WARNING **: A group named "gtk" is already part of this GOptionContext
** Message: Opening Glade file: /usr/share/dasher/dasher.traditional.glade
** Message: Opening Glade file: /usr/share/dasher/dasher.preferences.glade

** (dasher:3849): WARNING **: AT_SPI_REGISTRY was not started at session startup.

** (dasher:3849): WARNING **: Could not locate registry
** Message: Could not initialise SPI - accessibility options disabled

If I run with -a compose or -a fullscreen, I get a segfault. strace says:

munmap(0x7ff8c675f000, 4096)            = 0
brk(0x1d95000)                          = 0x1d95000
write(2, "\n(dasher:3867): Gtk-CRITICAL **: gtk_widget_hide: assertion `GTK_IS_WIDGET (widget)' failed\n", 92
(dasher:3867): Gtk-CRITICAL **: gtk_widget_hide: assertion `GTK_IS_WIDGET (widget)' failed
) = 92
--- SIGSEGV (Segmentation fault) @ 0 (0) ---

Comment 1 Need Real Name 2010-01-06 14:50:08 UTC
Can this bug be assigned? I don't have this problem with Ubuntu.

Comment 2 Need Real Name 2010-04-17 20:51:25 UTC
Also broken in Fedora 13.

What information do you need to get this into state ASSIGNED?

Comment 3 Bug Zapper 2011-06-02 17:25:06 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora End Of Life 2012-08-07 19:29:45 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.